#include <jansson.h>

int main(int argc, char *argv[]) {
  fprintf(stdout,"main() Started...\n");

  json_t *array, *integer1, *integer2;
  size_t size;

  array = json_array();

  integer1 = json_integer(42);
  integer2 = json_integer(23);

  json_array_append(array, integer1);
  json_array_append(array, integer2);

  json_decref(integer1);
  json_decref(integer2);

  size = json_array_size(array);

  fprintf(stdout,"main() size: %ld\n", size);
  fprintf(stdout,"main() Done.\n");
  return 0;
}
